You cannot select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
ansible/test/integration/targets/plugin_loader/runme.sh

34 lines
564 B
Bash

#!/usr/bin/env bash
set -ux
cleanup() {
unlink normal/library/_symlink.py
}
pushd normal/library
ln -s _underscore.py _symlink.py
popd
trap 'cleanup' EXIT
# check normal execution
for myplay in normal/*.yml
do
ansible-playbook "${myplay}" -i ../../inventory -vvv "$@"
if test $? != 0 ; then
echo "### Failed to run ${myplay} normally"
exit 1
fi
done
# check overrides
for myplay in override/*.yml
do
ansible-playbook "${myplay}" -i ../../inventory -vvv "$@"
if test $? != 0 ; then
echo "### Failed to run ${myplay} override"
exit 1
fi
done